import { BuildMetadataFile, BuildOptions } from "../types.js";
export declare function compileLlamaCpp(buildOptions: BuildOptions, { nodeTarget, updateLastBuildInfo: updateLastBuildInfoArg, includeBuildOptionsInBinaryFolderName, ensureLlamaCppRepoIsCloned: ensureLlamaCppRepoIsClonedArg, downloadCmakeIfNeeded: downloadCmakeIfNeededArg }: {
    nodeTarget?: string;
    updateLastBuildInfo?: boolean;
    includeBuildOptionsInBinaryFolderName?: boolean;
    ensureLlamaCppRepoIsCloned?: boolean;
    downloadCmakeIfNeeded?: boolean;
}): Promise<void>;
export declare function getLocalBuildBinaryPath(folderName: string): Promise<string | null>;
export declare function getLocalBuildBinaryBuildMetadata(folderName: string): Promise<BuildMetadataFile>;
export declare function getPrebuiltBinaryPath(folderName: string): Promise<string | null>;
export declare function getPrebuiltBinaryBuildMetadata(folderName: string): Promise<BuildMetadataFile>;
